Panduan pembalasan.id
Canned Responses

Update Canned Response in Account

PATCH
/api/v1/accounts/{account_id}/canned_responses/{id}

Update a Canned Response in Account

Authorization

userApiKey
api_access_token<token>

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

In: header

Path Parameters

id*integer

The ID of the canned response to be updated.

account_id*integer

The numeric ID of the account

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/v1/accounts/0/canned_responses/0" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": 0,
  "account_id": 0,
  "short_code": "string",
  "content": "string",
  "created_at": "string",
  "updated_at": "string"
}
{
  "description": "string",
  "errors": [
    {
      "field": "string",
      "message": "string",
      "code": "string"
    }
  ]
}
{
  "description": "string",
  "errors": [
    {
      "field": "string",
      "message": "string",
      "code": "string"
    }
  ]
}